Subject: [Ecrit] [issue10] Extensibility of the LoST Query

From: Hannes Tschofenig <[email-masked]>
Date: Thu, 08 Jun 2006 08:00:13 +0000

New submission from Hannes Tschofenig <[email-masked]>:

Roger says:
>
> I proposed that LoST clients may be allowed to include special
> attributes (not defined here, but which may be defined later) in the
> LoST request.  I would also say that the requirement for the LoST server
> is that they could ignore these special attributes.

Henning responds:

I agree that we should be able to include additional query attributes beyond 
the service identifier and location. As with most extensions, there are 
probably two options:

- ignore if you don't understand them (and maybe indicate the ones the server 
did take into account)
- refuse the request if a server doesn't understand a particular qualifier

For simplicity and because of the nature of what we're trying to do, I'm 
inclined to only support the former.

----------
assignedto: hannes
messages: 25
nosy: ecrit, hannes
priority: critical
status: chatting
title: Extensibility of the LoST Query

__________________________________________________
LoST Issue Tracker <[email-masked]>
<http://www.tschofenig.priv.at:8080/lost/issue10>
__________________________________________________

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit